#
# spec file for package perl-File-Slurp
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-File-Slurp
Version:        9999.32
Release:        1.23
%define cpan_name File-Slurp
Summary:        Perl module for reading/writing/modifying complete files
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/C/CA/CAPOEIRAB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module provides subs that allow you to read or write entire files with
one simple call. They are designed to be simple to use, have flexible ways
to pass in or get the file contents and to be very efficient. There is also
a sub to read in all the files in a directory.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Wed Jul  1 2020 Tina Müller <timueller+perl@suse.de>
- updated to 9999.32
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.32     2020-06-30
  - Re-release after fixing MANIFEST
  9999.31     2020-06-28
  - Remove TravisCI and AppVeyor
  - Test using GitHub Actions/workflows on Windows, Mac, and Linux
  - Add See Also section to the docs. (PR#24 Thanks, Dan Book)
  - Add file existence and size checks (RT 132900 - Thanks, Bao Haojun)
* Tue Mar 10 2020 <timueller+perl@suse.de>
- updated to 9999.30
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.30
  - Altered the atomic version of write_file to use temporary files that
    are also hidden files. (RT #132064)
* Thu Nov 28 2019 <timueller+perl@suse.de>
- updated to 9999.29
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.29     2019-11-27
  - Correct some documentation errors where copy-paste had us saying
    File::Spec rather than File::Slurp. (RT 131097 - Thanks, Mike)
  - Reduce the size of the tests in t/handle.t to be nicer to CPAN
    Testers.
* Fri Sep 13 2019 <timueller+perl@suse.de>
- updated to 9999.28
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.28     2019-04-05
  - Stop testing with Taint mode. Taint was a terrible practice that should
    have never ever ever been a thing.
* Sat Apr  6 2019 Stephan Kulow <coolo@suse.com>
- updated to 9999.27
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.27     2019-04-05
  - Update the documentation on the atomic write. We no longer use the pid
    and I neglected to update the documentation as such. (RT #129029)
  - Localize $^W to stop File::Temp from warning the user when the -w flag
    is on while we're grabbing a temporary file name. (RT #129029)
* Thu Feb 14 2019 Stephan Kulow <coolo@suse.com>
- updated to 9999.26
  see /usr/share/doc/packages/perl-File-Slurp/Changes
* Thu Dec  6 2018 Stephan Kulow <coolo@suse.com>
- updated to 9999.25
  see /usr/share/doc/packages/perl-File-Slurp/Changes
  9999.25     2018-10-29
  - The previous release contained nothing but a documentation update. That
    updated documentation errantly mentioned pseudo-files. Pseudo-files
    are perfectly fine to use with File::Slurp.
  - Add regression test for GLOB refs being slurped in. Thank you, James Keenan!
    https://github.com/perhunter/slurp/pull/17#issuecomment-437174592
  - Refactor read_file to use open and read rather than sysopen and sysread.
  - Add a bugwards compatible feature to keep track of the cursor when
    dealing with the DATA handle (https://github.com/perhunter/slurp/pull/17)
  - Fix a typo in the docs.
* Fri Nov  9 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias from summary.
* Thu Nov  8 2018 Stephan Kulow <coolo@suse.com>
- updated to 9999.24
  see /usr/share/doc/packages/perl-File-Slurp/Changes
* Wed Jun  8 2011 pascal.bleser@opensuse.org
- update to 9999.19:
  * read_file and write_file work even when interrupted by signals; this
    includes a test for read_file interrupt
  * fixed bugs in the config synopsis example
* Tue May 17 2011 pascal.bleser@opensuse.org
- update to 9999.18:
  * added :std and :edit export tags
  * cleaned up EXPORT vars
  * documented importing edit_file and edit_file_lines
  * requiring Perl 5.6.2 (first time older Perls were dropped); this is because
    of use of the re 'taint' pragma
  * added major new features: edit_file and edit_file_lines
  * speed up of tainted slurp with return of lines
  * added chomp option to read_file
  * added prefix option to read_dir
  * fixed optimization of reading small files
  * added support for read_file options to be a hash reference
  * added support for read_dir options to be a hash reference
  * added new feature prepend_file
  * fixed bug with array_ref in list context. was introduced by .15/.14
* Thu Mar 31 2011 coolo@novell.com
  * update to 9999.15
  - Added LICENCE (same as perl) to POD
  - for the rest, see Changes (a lot)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug  9 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- noarch pkg
- added bcond_with pod
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Tue Jul 14 2009 chris@computersalat.de
- initial package 9999.13
